/*
    exDOS - Experimental 32 Bit protected mode scripted operating system
    (C) 2005 Jason Hunt
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    Contact: nulluser@gmail.com

    File: stdio.h
*/


#include <types.h>

#ifndef STDIO_H
#define STDIO_H

#define RAND_MAX  32767

byte getchar(void);                     /* Wait for a char and return */
void getline(char *l, byte max);        /* Get a line from the keyboard */

void putchar( byte c);                  /* Display a char */
void puts(char *s);                     /* Display a string */

byte kbhit(void);                       /* True if a key is hit */

int strcmp(char *s1, char *s2);         /* Compare two strings */

byte to_lower(byte c);

word rand( void );

void prints(char *s1, char *s2);
void printb(char *s1, byte b);
void printw(char *s1, word w);
void printd(char *s1, dword d);

word strlen(byte *s);

void  strncpy(byte *s1, byte *s2, word n);

#endif

